VOBCOPY(1)

NAME
vobcopy - kopiert (rippt) Dateien von einer (Video-) DVD auf die Festplatte

SYNTAX
vobcopy [-b Größe[bkmg] ] [-e Größe[bkmg] ] [-f] [-F Beschleunigungsfaktor ] [-h] [-i Eingabeverzeichnis ] [-l] [-m] [-m][-n Titel-Nummer ] [-o Ausgabeverzeichnis ] [-q] [-O einzelne zu kopierende Datei ] [-t Name ] [-v [-v]] [-x] [-I] [-V] [-L Logdatei-Pfad ] [-1 zusätzliches Ausgabeverzeichnis 1 ] [-2 zusätzliches Ausgabeverzeichnis 2 ] [-3 zusätzliches Ausgabeverzeichnis 3 ] [-4 zusätzliches Ausgabeverzeichnis 4 ]

Beschreibung
vobcopy kopiert DVD .vob-Dateien (Video-Object-Dateien) auf die Festplatte (dank libdvdread) und schreibt sie in Datei(en) mit dem Namen der DVD. Es prüft auf ausreichend freien Festplattenplatz auf der Ziel-Partition und vergleicht die kopierte Größe mit der Größe auf der DVD (für den Fall, dass die Größe falsch ist behält die Datei die Endung .partial). Es sollte auf jeden Fall auf Linux arbeiten aber auch auf *bsd und Solaris funktionieren. Mac OS X auch. CSS-Angelegenheiten: Aufgrund Legalitäten enthält vobcopy keinen Code zum Entschlüsseln von um CSS "erweiterte" DVDs. CSS wird von der Filmindustrie als "Kopierschutz" angepriesen, wobei es sich eher um einen "Anschauschutz" handelt, da es DVD Material unanschaubar auf unlizensierten Abspielgeräten macht. Einige Leute haben jedoch diese CSS Entschlüsselungs-Routinen geknackt und eine dieser Routinen ist als Erweiterung zu libdvdread (siehe deren Webseite) erhältlich. vobcopy Beim Aufruf ohne jegliche Optionen wird der Titel mit den meisten Kapiteln in Dateien von 2GB Größe in das aktuelle Verzeichnis kopiert.

OPTIONEN

-b, --begin GRÖSSE[bkmg]
    beginnt den Kopiervorgang erst ab der angegebenen Adresse. Die Größe der Adresse kann mit den Abkürzungen b für 512-Byte-Blöcke, k für Kilobytes, m für Mega- und g für Gigabytes angegeben werden. Beispiel: vobcopy -b 500m beginnt bei 500MB nach dem Anfang der Datei bis zum Ende zu kopieren.

-e, --end GRÖSSE[bkmg]
    ähnlich wie -b gibt diese Option eine Größe vor dem Ende der Datei an, an der der Kopiervorgang stoppt.

-f, --force
    erzwingt die Ausgabe in das angegebene Verzeichnis, auch wenn vobcopy denkt, dass dort ist nicht genügend freier Platz vorhanden ist.

-F, --fast Beschleunigungsfaktor
    beschleunigt das Kopieren um einen Faktor (experimentell). Der Beschleunigungsfaktor kann 1 bis 64 betragen

-h, --help
    Gibt die verfügbaren Optionen aus

-i, --input-dir EINGABE-VERZEICHNIS
    gibt das Eingabeverzeichnis an (das Verzeichnis, auf das die DVD gemountet ist).

-l, --large-file
    schreibt alle Daten in eine große Datei ( > 2GB, benötigt Unterstützung für große Dateien (LFS))

-M, --longest
    wählt den Titel mit der längsten Spielzeit. Bei manchen DVDs wird der Hauptfilm besser gefunden als mit der Methode der meisten Kapitel, bei manchen schlechter.

-m, --mirror
    Spiegelt die gesamte DVD auf die Festplatte. Es wird ein Unterverzeichnis mit dem DVD-Namen erzeugt und die gesamte Dateistruktur des Videoteils wird darunter kopiert.

-n, --title-number TITEL-NUMMER
    gibt an, welcher Titel kopiert werden soll. Auf der DVD heißt der erste Titel vts_01_x.vob (meist der Hauptfilm).

-o, --output-dir AUSGABE-VERZEICHNIS
    gibt das Ausgabeverzeichnis für die Kopien an. Der Wert "stdout" oder "-" gibt auf der Standardausgabe aus. Nützlich für die Ausgabe nach /dev/null ;-) Tipp: Wenn du vergisst umzuleiten, wird dein Terminal überflutet werden, in diesem Fall tippe "reset" und Enter, um das Terminal zu retten.

-q, --quiet
    alle Informations- und Fehlerausschriften von vobcopy werden in die Datei vobcopy.bla im aktuellen Verzeichnis anstatt in die Standardfehlerausgabe geschrieben

-O, --onefile single_file(s)_to_rip
    gibt (eine) einzelne Datei(en) für das Kopieren an. Teile von Namen können angegeben werden und alle Dateien, die die Namensteile enthalten, werden kopiert. Dateinamen können als mit Komma getrennte Liste angegeben werden. Beispiel: -O video_ts.vob,bup kopiert die Datei video_ts.vob und alle Dateien, deren Namen bup enthält. Dieser Modus wählt Dateien anhand ihres Namens aus dem VIDEO_TS aus und kann daher nicht mit -n kombiniert werden. Für Titel 2 kann man in diesem Modus zum Beispiel -O vts_02_ verwenden.

-t, --name NAME
    Damit kann man der Ausgabedatei einen eigenen Namen geben, wenn einem der von der DVD nicht gefällt. -t hallo erzeugt also ein hallo.vob. (stdout oder "-" sind nun nicht mehr unterstützt) Wenn du Namen mit Leerzeichen wie "Huh ich mag den Film" angeben willst, schließe den Namen in Anführungszeichen ein.

-v, --verbose
    schreibt noch mehr Informationen aus.

-v -v
    schreibt die Ausschriften in eine Logdatei im aktuellen Verzeichis um einen Fehlerreport zu erzeugen.

-x  überschreibt alle existierenden Dateien ohne weitere Rückfragen.

-L LOGDATEI-PFAD
    weist vobcopy an die Logdatei statt in den Standardpfad in den LOGDATEI-PFAD zu legen.

-I, --info
    gibt Informationen über die Titel, Kapitel und Teile der DVD aus.

-V, --version
    gibt die Versionsnummer von vobcopy aus.

-1, --1st_alt_output_dir AUXILIARY-OUTPUT-DIR1
    Wenn die DVD einfach nicht in das erste Ausgabeverzeichnis passen will (mit -o angegeben), geht die Ausgabe in das hier angegebene Verzeichnis (und die folgenden 2ten, 3ten und 4ten) weiter -> die Dateien werden geteilt, je nachdem wie viel Platz in jedem der Verzeichnisse noch blieb. Gib den Pfad _direkt_ hinter "-1" an, _kein_ Leerzeichen dazwischen lassen, wenn Probleme auftreten, möglicherweise ist das auch bei -o nötig...)

FEHLER
Vobcopy ist weiterhin unter Entwicklung, also können noch einige Neuerungen erwarten werden. Es *können* Probleme auf Systemen auftreten, die keine Unterstützung für große Dateien haben (LFS). Wenn welche auftreten, sollten diese bitte an mich gemeldet werden.

AUTHOR
Robos <robos@muon.de>